package org.dromara.resource.danmi_sms.config;

import lombok.EqualsAndHashCode;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "danmisms")
@EqualsAndHashCode
public class Config {
  private String base_url;

  private String account_sid;

  private String auth_token;

  private SmsConfig defalutCode;

  private String account_id;

  public void setBase_url(String base_url) {
    this.base_url = base_url;
  }

  public void setAccount_sid(String account_sid) {
    this.account_sid = account_sid;
  }

  public void setAuth_token(String auth_token) {
    this.auth_token = auth_token;
  }

  public void setDefalutCode(SmsConfig defalutCode) {
    this.defalutCode = defalutCode;
  }

  public void setAccount_id(String account_id) {
    this.account_id = account_id;
  }

  protected boolean canEqual(Object other) {
    return other instanceof Config;
  }

  public String toString() {
    return "Config(base_url=" + getBase_url() + ", account_sid=" + getAccount_sid() + ", auth_token=" + getAuth_token() + ", defalutCode=" + getDefalutCode() + ", account_id=" + getAccount_id() + ")";
  }

  public String getBase_url() {
    return this.base_url;
  }

  public String getAccount_sid() {
    return this.account_sid;
  }

  public String getAuth_token() {
    return this.auth_token;
  }

  public SmsConfig getDefalutCode() {
    return this.defalutCode;
  }

  public String getAccount_id() {
    return this.account_id;
  }
}
